body {
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    background-color: #111;
    color: #fff;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
}
header {
    background-color: rgba(0, 0, 0, 0.9);
    padding: 20px;
    text-align: center;
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 1000;
    color: #fff;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
nav {
    background-color: rgba(0, 0, 0, 0.9);
    overflow: hidden;
    position: sticky;
    top: 125px;
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}
nav a {
    color: #fff;
    padding: 14px 20px;
    text-decoration: none;
    font-size: 18px;
    transition: color 0.3s;
}
nav a:hover {
    color: #0FE4F1;
}
.container {
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
    padding: 40px;
    width: 400px;
    max-width: 90%;
    text-align: center;
    margin-top: 180px;
    margin-bottom: 20px;
}
.container h2 {
    margin-bottom: 30px;
    color: #fff;
    position: relative;
}
.container h2::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #4AB8F9;
    bottom: -10px;
    left: 0;
}
.input-field {
    width: 100%;
    margin-bottom: 20px;
    padding: 15px;
    border: none;
    border-radius: 5px;
    box-sizing: border-box;
    font-size: 16px;
    background-color: rgba(255, 255, 255, 0.2);
    color: #fff;
    border-bottom: 2px solid #4AB8F9;
    transition: border-color 0.3s;
    outline: none;
}
.input-field:focus {
    border-color: #1E90FF;
}
.input-field::placeholder {
    color: rgba(255, 255, 255, 0.7);
}
.btn {
    width: 100%;
    background-color: #1E90FF;
    color: #ffffff;
    border: none;
    padding: 15px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 18px;
    transition: background-color 0.3s;
}
.btn:hover {
    background-color: #007bff;
}
.options {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
    font-size: 16px;
}
.options a {
    color: #4AB8F9;
    text-decoration: none;
}
.options a:hover {
    text-decoration: underline;
}
.footer {
    background-color: rgba(0, 0, 0, 0.8);
    padding: 20px;
    text-align: center;
    width: 100%;
    margin-top: auto;
    color: #fff;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
}
.footer h2, .footer h3 {
    margin: 10px 0;
}